<?php
/*
Plugin Name: Add Capabilities Procedural
*/

function add_cap_procedural_activation()
{
	$role = get_role( 'administrator' );
	$role->add_cap( 'add_cap_proc' );
}
	
function add_cap_procedural_deactivation()
{
	$role = get_role( 'administrator' );
	$role->remove_cap( 'administrator', 'add_cap_proc' );
}

function add_cap_procedural_has_capability()
{	
	$role = get_role('administrator');
	if($role->has_cap('add_cap_proc' ))
	{
		echo "<p>procedural success</p>";
	}
	else
	{
		echo "<p>procedural failure</p>";
	}
}

register_activation_hook(__FILE__, 'add_cap_procedural_activation');
register_deactivation_hook(__FILE__, 'add_cap_procedural_deactivation');
add_action('admin_footer', 'add_cap_procedural_has_capability');
